Subject: Re: [bfcpbis] I-D Action: draft-ietf-bfcpbis-rfc4582bis-01.txt

From: Alan Ford <[email-masked]>
Date: Wed, 07 Mar 2012 12:07:13 +0000

Hi all,

Re-reading rfc4582bis, I noticed some confusing terminology. The 'I' Bit is
described as the 'Transaction Initiator' flag. But, by its description, it
is set by the Transaction _Responder_, not the initiator. This seems a
recipe for confusion. I think it would it be better to rename it the 'R'
bit, as the 'Transaction Responder' flag.

As a secondary point, we are starting to define multiple BFCP version values
with this spec. It seems to me that it was an oversight in the original spec
not to include an error message of "Unsupported Version".  Is there any
reason why we should not take this opportunity to define this value?

Regards,
Alan

On 17/02/2012 23:09, "[email-masked]" <[email-masked]>
wrote:

> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories. This draft is a work item of the Binary Floor Control Protocol
> Bis  Working Group of the IETF.
> 
> Title           : Revision of the Binary Floor Control Protocol (BFCP) for use
> over an unreliable transport
> Author(s)       : Tom Kristensen
>                           Charles Eckel
>                           Alfred E. Heggestad
>                           Geir A. Sandbakken
> Filename        : draft-ietf-bfcpbis-rfc4582bis-01.txt
> Pages           : 34
> Date            : 2012-02-17
> 
>    This draft describes how to extend the Binary Floor Control Protocol
>    (BFCP) for use over an unreliable transport.  It details the
>    differences from the BFCP protocol definition document and the
>    Session Description Protocol (SDP) format specified for BFCP streams.
> 
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-bfcpbis-rfc4582bis-01.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> This Internet-Draft can be retrieved at:
> ftp://ftp.ietf.org/internet-drafts/draft-ietf-bfcpbis-rfc4582bis-01.txt
> 
> _______________________________________________
> bfcpbis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bfcpbis

---

From: Tom Kristensen <[email-masked]>
Date: Sun, 11 Mar 2012 22:22:35 +0100

> bit, as the 'Transaction Responder' flag.

I agree, this is a better name for the flag clarifying the actual
usage of the flag bit.

> reason why we should not take this opportunity to define this value?

Also a good idea, since we are now specifying a new version value and
the chances for "version clash" occurs.

No objections to these two proposal was sent to the list. Given no
negative reactions, I'll add them to the upcoming version of the
rfc4582bis draft tomorrow - before the cut-off time for IETF-83.

[...]

-- Tom

-- 
# Cisco                         |  http://www.cisco.com/telepresence/
## [email-masked]  |  http://www.tandberg.com
###                               |  http://folk.uio.no/tomkri/